/*
 * os.h
 * (C) Christian Magnusson 2000, Email: d1mag@dtek.chalmers.se
 * This program is copyright, and covered by the Gnu Public License.
 * The Q bot.
 */

#ifndef OS_H
#define OS_H

#ifdef _WIN32

#define _WIN32_WINNT 0x0400

#include <windows.h>

/* need this for windoze dlls */

#ifdef ISMODULE

#define API_PUBLIC __declspec(dllimport)
#define MODULE_PUBLIC __declspec(dllexport)

#else

#define API_PUBLIC __declspec(dllexport)

#endif

#define RTLD_LAZY 0

typedef SOCKET NET_FD;

#define MSDOS

#else

#define API_PUBLIC
#define MODULE_PUBLIC

typedef int NET_FD;


#endif

#endif /* OS_H */
