/*
 * test.c
 * (C) Christian Magnusson 2000, Email: d1mag@dtek.chalmers.se
 * This program is copyright, and covered by the Gnu Public License.
 * The Q bot.
 */

#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "settings.h"
#include "bottypes.h"
#include "globals.h"
#include "dl.h"

void m_test(char *a);

MODULE_PUBLIC int _init_test(void *a, void *b)
{
  dl_command_entry_t *dl = a;
  if(!a) return 0;

  snprintf(dl->help, MAX_COMMAND_HELP_LEN,
	   "Test command help text", BOT_NAME, BOT_NAME);
  snprintf(dl->summary, MAX_COMMAND_SUMMARY_LEN,
	   "Test command");
  dl->level = 0;
#if 0
  dl->func = m_test;
#else
  dl->func = (void (*)(char*)) DL_sym(dl->val, "m_test");
#endif
  return 1;
}

MODULE_PUBLIC int _remove_test(char *a, char *b)
{
  remove_command("test");
  return 1;
}

MODULE_PUBLIC void m_test(char *a)
{
  say_sender("Trying to test ??????\n");
  return;
}
